changeset 94:88d973cc80fa

2007-07-17 Kyle Galloway <kgallowa@redhat.com> * acinclude.m4: Added FIND_FREETYPE macro to check for Freetype libs and headers and sets FREETYPE_INC_DIR. * configure.ac: Call FIND_FREETYPE macro. * configure: Regenerated.
author Kyle Galloway <kgallowa@redhat.com>
date Tue, 17 Jul 2007 15:19:45 -0400
parents be9c65388ba3
children e9bcd67287e8 2d5cd55eeece
files ChangeLog acinclude.m4 configure configure.ac
diffstat 4 files changed, 112 insertions(+), 1 deletions(-) [+]
line wrap: on
line diff
--- a/ChangeLog	Sat Jul 14 22:21:04 2007 -0400
+++ b/ChangeLog	Tue Jul 17 15:19:45 2007 -0400
@@ -1,3 +1,10 @@
+2007-07-17  Kyle Galloway  <kgallowa@redhat.com>
+
+	* acinclude.m4: Added FIND_FREETYPE macro to check for Freetype libs
+	and headers and sets FREETYPE_INC_DIR.
+	* configure.ac: Call FIND_FREETYPE macro.
+	* configure: Regenerated.
+
 2007-07-14  Thomas Fitzsimmons  <fitzsim@redhat.com>
 
 	* Makefile.am, acinclude.m4, configure.ac: Remove ccache
--- a/acinclude.m4	Sat Jul 14 22:21:04 2007 -0400
+++ b/acinclude.m4	Tue Jul 17 15:19:45 2007 -0400
@@ -496,6 +496,19 @@
   AC_CHECK_HEADERS([alsa/asoundlib.h],[],[AC_MSG_ERROR("ALSA headers were not found - try installing alsa-lib-devel.")])
 ])
 
+AC_DEFUN([FIND_FREETYPE],
+[
+    AC_CHECK_LIB(freetype, FT_Init_FreeType, [], [AC_MSG_ERROR("Freetype not found - try installing freetype-devel")])
+    AC_MSG_CHECKING(for freetype header directory)
+    if test -d "/usr/include/freetype2"; then
+      FREETYPE2_INC_DIR=/usr/include/freetype2
+      AC_MSG_RESULT(${FREETYPE2_INC_DIR})
+    else
+      AC_MSG_RESULT(no)
+      AC_MSG_ERROR("Freetype headers not found - try installing freetype-devel")
+    fi
+])
+
 AC_DEFUN([ENABLE_FAST_BUILD],
 [
   AC_ARG_ENABLE([fast-build],
--- a/configure	Sat Jul 14 22:21:04 2007 -0400
+++ b/configure	Tue Jul 17 15:19:45 2007 -0400
@@ -5856,6 +5856,97 @@
 
 
 
+
+
+{ echo "$as_me:$LINENO: checking for FT_Init_FreeType in -lfreetype" >&5
+echo $ECHO_N "checking for FT_Init_FreeType in -lfreetype... $ECHO_C" >&6; }
+if test "${ac_cv_lib_freetype_FT_Init_FreeType+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-lfreetype  $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+char FT_Init_FreeType ();
+int
+main ()
+{
+return FT_Init_FreeType ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+	 test -z "$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
+  ac_cv_lib_freetype_FT_Init_FreeType=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+	ac_cv_lib_freetype_FT_Init_FreeType=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_lib_freetype_FT_Init_FreeType" >&5
+echo "${ECHO_T}$ac_cv_lib_freetype_FT_Init_FreeType" >&6; }
+if test $ac_cv_lib_freetype_FT_Init_FreeType = yes; then
+  cat >>confdefs.h <<_ACEOF
+#define HAVE_LIBFREETYPE 1
+_ACEOF
+
+  LIBS="-lfreetype $LIBS"
+
+else
+  { { echo "$as_me:$LINENO: error: \"Freetype not found - try installing freetype-devel\"" >&5
+echo "$as_me: error: \"Freetype not found - try installing freetype-devel\"" >&2;}
+   { (exit 1); exit 1; }; }
+fi
+
+    { echo "$as_me:$LINENO: checking for freetype header directory" >&5
+echo $ECHO_N "checking for freetype header directory... $ECHO_C" >&6; }
+    if test -d "/usr/include/freetype2"; then
+      FREETYPE2_INC_DIR=/usr/include/freetype2
+      { echo "$as_me:$LINENO: result: ${FREETYPE2_INC_DIR}" >&5
+echo "${ECHO_T}${FREETYPE2_INC_DIR}" >&6; }
+    else
+      { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+      { { echo "$as_me:$LINENO: error: \"Freetype headers not found - try installing freetype-devel\"" >&5
+echo "$as_me: error: \"Freetype headers not found - try installing freetype-devel\"" >&2;}
+   { (exit 1); exit 1; }; }
+    fi
+
+
   { echo "$as_me:$LINENO: checking openjdk source zip" >&5
 echo $ECHO_N "checking openjdk source zip... $ECHO_C" >&6; }
 
@@ -5953,7 +6044,6 @@
 
 
 
-
 ac_ext=c
 ac_cpp='$CPP $CPPFLAGS'
 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
--- a/configure.ac	Sat Jul 14 22:21:04 2007 -0400
+++ b/configure.ac	Tue Jul 17 15:19:45 2007 -0400
@@ -31,6 +31,7 @@
 FIND_XALAN2_JAR
 FIND_XALAN2_SERIALIZER_JAR
 FIND_XERCES2_JAR
+FIND_FREETYPE
 WITH_OPENJDK_SRC_ZIP
 WITH_OPENJDK_SRC_DIR
 ENABLE_FAST_BUILD